import request from '../../utils/request'

export function readCardCallback(prm) {
  return request({
    url: '/siReadCard/request',
    method: 'get',
    params: { prm },
  })
}

export function admissRegister(data) {
  return request({
    url: '/siZy/admissRegister',
    method: 'post',
    data,
  })
}

export function modifyAdmissionInfo(data) {
  return request({
    url: '/siZy/modifyAdmissionInfo',
    method: 'post',
    data,
  })
}

export function revokeAdmission(data) {
  return request({
    url: '/siZy/revokeAdmission',
    method: 'post',
    data,
  })
}

export function uploadFeeDetail(data) {
  return request({
    url: '/siZy/uploadFeeDetail',
    method: 'post',
    data,
  })
}

export function multipleUpload(data) {
  return request({
    url: '/siZy/multipleUpload',
    method: 'post',
    data,
  })
}

export function pairNegativeFee(data) {
  return request({
    url: '/siZy/pairNegativeFee',
    method: 'post',
    data,
  })
}

export function revokeUploadFees(data) {
  return request({
    url: '/siZy/revokeUploadFees',
    method: 'post',
    data,
  })
}

export function hospitalizationPreSettlement(data) {
  return request({
    url: '/siZy/hospitalizationPreSettlement',
    method: 'post',
    data,
  })
}

export function dischargeProcessing(data) {
  return request({
    url: '/siZy/dischargeProcessing',
    method: 'post',
    data,
  })
}

export function revokeSettlement(data) {
  return request({
    url: '/siZy/revokeSettlement',
    method: 'post',
    data,
  })
}
